<?php

namespace Modules\Refund\Interfaces;

use Modules\Refund\Models\Refund;

interface RefundRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Refund;
    public function update(array $request, Refund $refund): Refund;
    public function destroy(Refund $refund): void;
    public function destroyAll(array $ids): void;
    public function restore(Refund $refund): void;
    public function restoreAll(array $ids): void;
}
